package de.duehl.vocabulary.japanese.logic.symbol.kanji.test.data;

/**
 * Diese Enum-Klasse steht für die Art, wie Kanji zum Abtesten ausgewählt werden.
 *
 * @version 1.01     2024-11-07
 * @author Christian Dühl
 */

public enum KanjiForTestSelectionMethod {

    UNKNOWN,            // Nicht initialisiert.
    RANDOM_BY_NUMBER,   // Wählt abhängig von einer übergebene Anzahl so viele Kanji zufällig aus.
    ALL,                // Wählt alle Kanji aus.
    LAST_N              // Wählt die letzten Kanji abhängig von einer übergebene Anzahl aus.

}
