package de.duehl.vocabulary.japanese.ui.dialog.kanjiset.filter;

import java.util.List;

import de.duehl.vocabulary.japanese.data.symbol.Kanji;

/**
 * Dieses Interface steht für eine Klasse, die mit den gefilterten Kanji arbeitet (Anzeige,
 * ...).
 *
 * @version 1.01     2024-11-20
 * @author Christian Dühl
 */

public interface FilteredKanjiReactor {

    /** Reagiert auf die gefilterten Kanji. */
    void reactOnFilteredKanjiList(List<Kanji> filteredKanjiList);

}
